Name:          libmypaint
Version:       1.3.0
Release:       11
Summary:       Rush library used by MyPaint
License:       ISC
URL:           https://github.com/mypaint/libmypaint
Source0:       https://github.com/mypaint/libmypaint/releases/download/v%{version}/libmypaint-%{version}.tar.xz
Patch0:        libmypaint-1.3.0-gegl04.patch
Patch1:        Boolean-#define-s-removed-frome-json-c.patch
Patch2:        Support-pngmath-replacement.patch

BuildRequires: babl-devel, breathe, doxygen, gegl04-devel, glib2-devel, gobject-introspection-devel
BuildRequires: intltool, json-c-devel, python-sphinx
Conflicts:     mypaint < 1.3.0

%description
This is the brush library used by MyPaint. A number of other painting programs use it too.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name}%{?isa} = %{?epoch:%{epoch}:}%{version}-%{release}, pkgconfig

%description   devel
This package includes development files for %{name}.

%prep
%autosetup -p1

%build
%configure --enable-docs --enable-introspection=yes --enable-gegl
%make_build

%install
%make_install
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete -print
%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/MyPaint-1.3.typelib
%{_libdir}/girepository-1.0/MyPaintGegl-1.3.typelib

%files devel
%doc doc/build/*
%{_libdir}/*.so
%{_includedir}/%{name}*
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/MyPaint*-1.3.gir

%changelog
* Tue Sep 22 2020 chengzihan <chengzihan2@huawei.com> - 1.3.0-11
- Remove #undef TRUE and FALSE before including json.h
- Replace pngmath module with imgmath module

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-10
- Package init

